USE [SubastaSA]
GO

/****** Object:  StoredProcedure [dbo].[ComprarAhora]    Script Date: 05/21/2011 17:57:38 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[ComprarAhora] (@IdSubasta integer,@IdComprador integer,@intCode integer output)
AS
BEGIN
DECLARE @comprarahora money

set @intCode=0

BEGIN TRY


  select @comprarahora=preciocompraahora from Subasta where FechaFin>GETDATE() and IDSubasta=@IdSubasta and IDEstado=2
  
   if @comprarahora>0
   BEGIN
   
     BEGIN TRANSACTION
   
     insert into Puja (idsubasta,PrecioPuja,FechaPuja,idcomprador)
       values (@idsubasta,@comprarahora,GETDATE(),@IdComprador)
       
     update Subasta set NumeroPujas=NumeroPujas+1,precioactual=@comprarahora,IDComprador=@IdComprador,IDEstado=3
       where IDSubasta=@IdSubasta
   
	 COMMIT TRANSACTION  
	 
	 set @intCode=1
	 
   END
  
 
END TRY    
    

BEGIN CATCH

  if (@@TRANCOUNT>0)
    ROLLBACK TRANSACTION
  set @intCode=-1 

END CATCH





END

GO


