USE [SubastaSA]
GO

/****** Object:  StoredProcedure [dbo].[ConsultarComentarios]    Script Date: 05/21/2011 17:57:49 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[ConsultarComentarios] (@IdUsuario integer,@totalpositivos integer output,@totalneutros integer output,@totalnegativos integer output)
AS
BEGIN

   -- tipo 1 es positivo
        select @totalpositivos=count(IDComentario) from Subasta s left join Comentario c on
   s.IDSubasta=c.IDSubasta where (IDVendedor=@IdUsuario and IDComentarioVendedor=1)
   or (IDComprador=@IdUsuario and IDComentarioComprador=1)
   -- tipo 2 es neutro
        select @totalneutros=count(idcomentariocomprador) from Subasta s left join Comentario c on
   s.IDSubasta=c.IDSubasta where (IDVendedor=@IdUsuario and IDComentarioVendedor=2) 
   or (IDComprador=@IdUsuario and IDComentarioComprador=2)
   -- tipo 3 es negativo
        select @totalnegativos=count(idcomentariocomprador) from Subasta s left join Comentario c on
   s.IDSubasta=c.IDSubasta where (IDVendedor=@IdUsuario and IDComentarioVendedor=3)
   or (IDComprador=@IdUsuario and IDComentarioComprador=3)
  
END

GO


