USE [SubastaSA]
GO

/****** Object:  StoredProcedure [dbo].[FinalizaSusbasta]    Script Date: 05/21/2011 17:57:59 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[FinalizaSusbasta]
AS
BEGIN


declare @st_time datetime
       ,@i int
select @st_time = getdate()
       ,@i = 0
       
--si existe alguna subasta en este minuto ejecuta el bucle, si no no realiza ninguna operacin       
if exists(select idsubasta from Subasta where 
datediff(second, getdate(), fechafin) < 60 and IDEstado=2)
begin       
       
	while datediff(second, @st_time, getdate()) < 60
	begin
      	   --actualizar las subastas que quedan un segundo para finalizar
		   update Subasta set IDEstado=3 where datediff(second, getdate(), fechafin) < 1 and IDEstado=2
		   --esperar un segundo
		   waitfor delay '00:00:01.000'
	end

end

END

GO


