USE [SubastaSA]
GO

/****** Object:  StoredProcedure [dbo].[RealizarPuja]    Script Date: 05/21/2011 17:58:41 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[RealizarPuja] (@IdSubasta integer,@IdComprador integer,@preciopuja money,@intCode integer output)
AS
BEGIN

set @intCode=0

BEGIN TRY


  
   if Exists(select idsubasta from Subasta where FechaFin>GETDATE() and PrecioActual<@preciopuja and IDSubasta=@IdSubasta)
   BEGIN
   
     BEGIN TRANSACTION
   
     insert into Puja (idsubasta,PrecioPuja,FechaPuja,idcomprador)
       values (@idsubasta,@preciopuja,GETDATE(),@IdComprador)
       
     update Subasta set NumeroPujas=NumeroPujas+1,precioactual=@preciopuja,IDComprador=@IdComprador
       where IDSubasta=@IdSubasta
   
	 COMMIT TRANSACTION  
	 
	 set @intCode=1
	 
   END
  
 
END TRY    
    

BEGIN CATCH

  if (@@TRANCOUNT>0)
    ROLLBACK TRANSACTION
  set @intCode=-1 

END CATCH





END

GO


