USE [SubastaSA]
GO

/****** Object:  Table [dbo].[Subasta]    Script Date: 05/21/2011 17:56:07 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Subasta](
	[IDSubasta] [int] IDENTITY(1,1) NOT NULL,
	[IDArticulo] [int] NOT NULL,
	[IDVendedor] [int] NOT NULL,
	[IDComprador] [int] NULL,
	[IDEstado] [int] NOT NULL,
	[FechaInicio] [datetime] NOT NULL,
	[FechaFin] [datetime] NOT NULL,
	[PrecioActual] [money] NOT NULL,
	[PrecioInicial] [money] NOT NULL,
	[PrecioCompraAhora] [money] NOT NULL,
	[NumeroPujas] [int] NOT NULL,
 CONSTRAINT [PK_Subasta] PRIMARY KEY CLUSTERED 
(
	[IDSubasta] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[Subasta]  WITH CHECK ADD  CONSTRAINT [FK_Subasta_Articulo] FOREIGN KEY([IDArticulo])
REFERENCES [dbo].[Articulo] ([IDArticulo])
GO

ALTER TABLE [dbo].[Subasta] CHECK CONSTRAINT [FK_Subasta_Articulo]
GO

ALTER TABLE [dbo].[Subasta]  WITH CHECK ADD  CONSTRAINT [FK_Subasta_Estado] FOREIGN KEY([IDEstado])
REFERENCES [dbo].[Estado] ([IDEstado])
GO

ALTER TABLE [dbo].[Subasta] CHECK CONSTRAINT [FK_Subasta_Estado]
GO

ALTER TABLE [dbo].[Subasta]  WITH CHECK ADD  CONSTRAINT [FK_Subasta_Usuario] FOREIGN KEY([IDVendedor])
REFERENCES [dbo].[Usuario] ([IDUsuario])
GO

ALTER TABLE [dbo].[Subasta] CHECK CONSTRAINT [FK_Subasta_Usuario]
GO


