using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using localhost;
using SubastasCli;

public partial class ValidarUsuario : System.Web.UI.Page
{
  Service1 objWS;
  TUsuario usuario;

  void Page_Load(object sender, EventArgs e)
  {

    if (!Page.IsPostBack)
    {

      usuario = (TUsuario)Session["Usuario"];
      objWS = (Service1)Session["objWS"];

      if (objWS == null)
        objWS = new Service1();


      if (usuario == null)
      {

        lblUsuario.Text = "";
        hblMisSubastas.Text = "Validar";
        hblMisSubastas.NavigateUrl = "ValidarUsuario.aspx";
      }


    }
    else
    {
      objWS = (Service1)Session["objWS"];
      usuario = (TUsuario)Session["Usuario"];
    }

  }

    protected void Page_UnLoad(object sender, EventArgs e)
    {
      Session["objWS"] = objWS;
      Session["Usuario"] = usuario;
    }


    protected void btnValidar_Click(object sender, EventArgs e)
    {
      objWS.SecuredWebServiceHeaderValue = new SecuredWebServiceHeader();

      objWS.SecuredWebServiceHeaderValue.Username = txtUsuario.Text;
      objWS.SecuredWebServiceHeaderValue.Password = txtPassword.Text;
      string response = string.Empty;

      usuario=objWS.ValidarUsuario();


      //
      if (usuario != null) // usuario validado
      {

        objWS.SecuredWebServiceHeaderValue.AuthenticatedToken = usuario.Token;

        //objWS.SecuredWebServiceHeaderValue.Username = null;
        //objWS.SecuredWebServiceHeaderValue.Password = null;

        Session["objWS"] = objWS;

        Response.Redirect("Subastas.aspx");
      }
      else
        Label1.Text = "Usuario y Contrasea no validadas en el sistema.";

    }



    protected void btnCancelar_Click(object sender, EventArgs e)
    {
      Response.Redirect("Subastas.aspx");
    }


    protected void btnRegistrar_Click(object sender, EventArgs e)
    {
      Response.Redirect("RegistrarUsuario.aspx");
    }
}
