using System;






namespace SubastasCli.TClassBase
{

 

   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   /// 
   /// Clase TArticulo
   /// 
   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   public class TArticulo
   {
      private int intIDArticulo;
      private string strNombre;
      private string strDescripcion;
      private string strImagen;
      private int intIDCategoria;

      public int IDArticulo { get { return intIDArticulo; } set { intIDArticulo = value; } }
      public string Nombre { get { return strNombre; } set { strNombre = value; } }
      public string Descripcion { get { return strDescripcion; } set { strDescripcion = value; } }
      public string Imagen { get { return strImagen; } set { strImagen = value; } }
      public int IDCategoria { get { return intIDCategoria; } set { intIDCategoria = value; } }

      public TArticulo()
      {
      }

   }

   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   /// 
   /// Clase TComentario
   /// 
   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   public class TComentario 
   {
      private int intIDComentario;
      private int intIDSubasta;
      private int intIDComentarioComprador;
      private int intIDComentarioVendedor;

      public int IDComentario { get { return intIDComentario; } set { intIDComentario = value; } }
      public int IDSubasta { get { return intIDSubasta; } set { intIDSubasta = value; } }
      public int IDComentarioComprador { get { return intIDComentarioComprador; } set { intIDComentarioComprador = value; } }
      public int IDComentarioVendedor { get { return intIDComentarioVendedor; } set { intIDComentarioVendedor = value; } }

      public TComentario()
      {
      }

 

   }


   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   /// 
   /// Clase TCategoria 
   /// 
   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   public class TCategoria 
   {
      private int intIDCategoria;
      private string strNombre;

      public int IDCategoria { get { return intIDCategoria; } set { intIDCategoria = value; } }
      public string Nombre { get { return strNombre; } set { strNombre = value; } }

      public TCategoria()
      {
      }

  

   }


   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   /// 
   /// Clase TSubasta
   /// 
   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   public class TSubasta 
   {
      private int intIDSubasta;
      private int intIDArticulo;
      private int intIDVendedor;
      private int intIDComprador;
      private int intIDEstado;
      private DateTime dtiFechaInicio;
      private DateTime dtiFechaFin;
      private double fltPrecioActual;
      private double fltPrecioInicial;
      private double fltPrecioComprarAhora;
      private int intNumeroPujas;
      private TArticulo objArticulo;
      private TUsuario objVendedor;
      private TUsuario objComprador;

      public int IDSubasta { get { return intIDSubasta; } set { intIDSubasta = value; } }
      public int IDArticulo { get { return intIDArticulo; } set { intIDArticulo = value; } }
      public int IDVendedor { get { return intIDVendedor; } set { intIDVendedor = value; } }
      public int IDComprador { get { return intIDComprador; } set { intIDComprador = value; } }
      public int IDEstado { get { return intIDEstado; } set { intIDEstado = value; } }
      public DateTime FechaInicio { get { return dtiFechaInicio; } set { dtiFechaInicio = value; } }
      public DateTime FechaFin { get { return dtiFechaFin; } set { dtiFechaFin = value; } }
      public double PrecioActual { get { return fltPrecioActual; } set { fltPrecioActual = value; } }
      public double PrecioInicial { get { return fltPrecioInicial; } set { fltPrecioInicial = value; } }
      public double PrecioComprarAhora { get { return fltPrecioComprarAhora; } set { fltPrecioComprarAhora = value; } }
      public int NumeroPujas { get { return intNumeroPujas; } set { intNumeroPujas = value; } }
      public TArticulo Articulo { get { return objArticulo; } set { objArticulo = value; } }
      public TUsuario Vendedor { get { return objVendedor; } set { objVendedor = value; } }
      public TUsuario Comprador { get { return objComprador; } set { objComprador = value; } }

      public TSubasta()
      {
      }


   }


   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   /// 
   /// Clase TTipoComentario 
   /// 
   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   public class TTipoComentario 
   {
      private int intIDTipoComentario;
      private string strNombre;

      public int IDTipoComentario { get { return intIDTipoComentario; } set { intIDTipoComentario = value; } }
      public string Nombre { get { return strNombre; } set { strNombre = value; } }

      public TTipoComentario()
      {
      }



   }

   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   /// 
   /// Clase TPuja 
   /// 
   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   public class TPuja 
   {
      private int intIDPuja;
      private int intIDSubasta;
      private double fltPrecioPuja;
      private DateTime dtiFechaPuja;
      private int intIDComprador;
      private int intIDUsuario;

      public int IDPuja { get { return intIDPuja; } set { intIDPuja = value; } }
      public int IDSubasta { get { return intIDSubasta; } set { intIDSubasta = value; } }
      public double PrecioPuja { get { return fltPrecioPuja; } set { fltPrecioPuja = value; } }
      public DateTime FechaPuja { get { return dtiFechaPuja; } set { dtiFechaPuja = value; } }
      public int IDComprador { get { return intIDComprador; } set { intIDComprador = value; } }
      public int IDUsuario { get { return intIDUsuario; } set { intIDUsuario = value; } }

      public TPuja()
      {
      }

   
   }


     ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   /// 
   /// Clase TEstado 
   /// 
   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   public class TEstado 
   {
      private int intIDEstado;
      private string strNombre;

      public int IDEstado { get { return intIDEstado; } set { intIDEstado = value; } }
      public string Nombre { get { return strNombre; } set { strNombre = value; } }

      public TEstado()
      {
      }

  

   }

  
      ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   /// 
   /// Clase TTotalComentario
   /// 
   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   public class TTotalComentario 
   {
     private int intTotalPositivo;
     private int intTotalNeutro;
     private int intTotalNegativo;

     public int TotalPositivo { get { return intTotalPositivo; } set { intTotalPositivo = value; } }
     public int TotalNeutro { get { return intTotalNeutro; } set { intTotalNeutro = value; } }
     public int TotalNegativo { get { return intTotalNegativo; } set { intTotalNegativo = value; } }

     public TTotalComentario()
     {
     }
   }

   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   /// 
   /// Clase TUsuario 
   /// 
   ///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   public class TUsuario 
   {
      private int intIDUsuario;
      private string strNombre;
      private string strNickName;
      private string strPassword;
      private string strDireccion;
      private string strPoblacion;
      private string strCodigoPostal;
      private string strProvincia;
      private string strPais;
      private string strEmail;
      private string strTelefonoMovil;
      private string strTarjetaCredito;
      private string strCaducidadTarjetaCredito;
      private DateTime dtiFechaIngreso;
      private string strToken;
      private int intPorcentajeVendedor;
      private int intPorcentajeComprador;
     
      public int IDUsuario { get { return intIDUsuario; } set { intIDUsuario = value; } }
      public string Nombre { get { return strNombre; } set { strNombre = value; } }
      public string NickName { get { return strNickName; } set { strNickName = value; } }
      public string Password { get { return strPassword; } set { strPassword = value; } }
      public string Direccion { get { return strDireccion; } set { strDireccion = value; } }
      public string Poblacion { get { return strPoblacion; } set { strPoblacion = value; } }
      public string CodigoPostal { get { return strCodigoPostal; } set { strCodigoPostal = value; } }
      public string Provincia { get { return strProvincia; } set { strProvincia = value; } }
      public string Pais { get { return strPais; } set { strPais = value; } }
      public string Email { get { return strEmail; } set { strEmail = value; } }
      public string TelefonoMovil { get { return strTelefonoMovil; } set { strTelefonoMovil = value; } }
      public string TarjetaCredito { get { return strTarjetaCredito; } set { strTarjetaCredito = value; } }
      public string CaducidadTarjetaCredito { get { return strCaducidadTarjetaCredito; } set { strCaducidadTarjetaCredito = value; } }
      public DateTime FechaIngreso { get { return dtiFechaIngreso; } set { dtiFechaIngreso = value; } }
      public string Token { get { return strToken; } set { strToken = value; } }
      public int PorcentajeVendedor { get { return intPorcentajeVendedor; } set { intPorcentajeVendedor = value; } }
      public int PorcentajeComprador { get { return intPorcentajeComprador; } set { intPorcentajeComprador = value; } }


      public TUsuario()
      {
      }

   
   }

  
}


