﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Data;
using SubastasWs.TClassBase;


namespace WcfServiceLibrary2
{
  // configuramos el contrato del servicio para permitir sessiones
  [ServiceContract(SessionMode = SessionMode.Required)]
  public interface IService1
  {
    [OperationContract]
    TUsuario RegistrarUsuario(TUsuario objUsuario);

    [OperationContract]
    TUsuario ValidarUsuario(string strUsuario, string strPassword);

    [OperationContract]
    DataSet DimeArticulos();

    [OperationContract]
    DataSet BuscarSubastasPorCategorias(int intIDCategoria);

    [OperationContract]
    DataSet BuscarMisSubastasPorCategorias(int intIDCategoria, int intIDUsuario);

    [OperationContract]
    DataSet BuscarSubastasPorNombre(string strNombre);

    [OperationContract]
    DataSet BuscarCategorias();

    [OperationContract]
    TSubasta VerDetalleSubasta(int intIDSubasta);

    [OperationContract]
    int CrearSubasta(TSubasta objSubasta);

    [OperationContract]
    int PujarSubasta(TPuja objPuja);

    [OperationContract]
    int ComprarAhora(TSubasta objSubasta);

    [OperationContract]
    TTotalComentario ConsultarComentarios(int intID);

    [OperationContract]
    int CrearComentario(TComentario objComentario);

    [OperationContract]
    DataSet VerPujas(int intSubasta);
   
  }

  // Use a data contract as illustrated in the sample below to add composite types to service operations
  //[DataContract]
  
 
}
