USE [master]
GO

/****** Object:  Database [SubastaSA]    Script Date: 05/21/2011 17:53:49 ******/
CREATE DATABASE [SubastaSA] ON  PRIMARY 
( NAME = N'SubastaSA', FILENAME = N'c:\Program Files (x86)\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\SubastaSA.mdf' , SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'SubastaSA_log', FILENAME = N'c:\Program Files (x86)\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\SubastaSA_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [SubastaSA] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [SubastaSA].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [SubastaSA] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [SubastaSA] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [SubastaSA] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [SubastaSA] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [SubastaSA] SET ARITHABORT OFF 
GO

ALTER DATABASE [SubastaSA] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [SubastaSA] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [SubastaSA] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [SubastaSA] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [SubastaSA] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [SubastaSA] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [SubastaSA] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [SubastaSA] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [SubastaSA] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [SubastaSA] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [SubastaSA] SET  DISABLE_BROKER 
GO

ALTER DATABASE [SubastaSA] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [SubastaSA] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [SubastaSA] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [SubastaSA] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [SubastaSA] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [SubastaSA] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [SubastaSA] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [SubastaSA] SET  READ_WRITE 
GO

ALTER DATABASE [SubastaSA] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [SubastaSA] SET  MULTI_USER 
GO

ALTER DATABASE [SubastaSA] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [SubastaSA] SET DB_CHAINING OFF 
GO


