USE [SubastaSA]
GO

/****** Object:  Table [dbo].[Comentario]    Script Date: 05/21/2011 17:55:00 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Comentario](
	[IDComentario] [int] IDENTITY(1,1) NOT NULL,
	[IDSubasta] [int] NOT NULL,
	[IDComentarioComprador] [int] NULL,
	[IDComentarioVendedor] [int] NULL,
 CONSTRAINT [PK_Comentario] PRIMARY KEY CLUSTERED 
(
	[IDComentario] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[Comentario]  WITH CHECK ADD  CONSTRAINT [FK_Comentario_Subasta] FOREIGN KEY([IDSubasta])
REFERENCES [dbo].[Subasta] ([IDSubasta])
GO

ALTER TABLE [dbo].[Comentario] CHECK CONSTRAINT [FK_Comentario_Subasta]
GO


