USE [SubastaSA]
GO

/****** Object:  Table [dbo].[Puja]    Script Date: 05/21/2011 17:55:57 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Puja](
	[IDPuja] [int] IDENTITY(1,1) NOT NULL,
	[IDSubasta] [int] NOT NULL,
	[PrecioPuja] [money] NOT NULL,
	[FechaPuja] [datetime] NOT NULL,
	[IDComprador] [int] NOT NULL,
 CONSTRAINT [PK_Puja] PRIMARY KEY CLUSTERED 
(
	[IDPuja] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[Puja]  WITH CHECK ADD  CONSTRAINT [FK_Puja_Subasta] FOREIGN KEY([IDSubasta])
REFERENCES [dbo].[Subasta] ([IDSubasta])
GO

ALTER TABLE [dbo].[Puja] CHECK CONSTRAINT [FK_Puja_Subasta]
GO

ALTER TABLE [dbo].[Puja]  WITH CHECK ADD  CONSTRAINT [FK_Puja_Usuario] FOREIGN KEY([IDComprador])
REFERENCES [dbo].[Usuario] ([IDUsuario])
GO

ALTER TABLE [dbo].[Puja] CHECK CONSTRAINT [FK_Puja_Usuario]
GO


