USE [SubastaSA]
GO

/****** Object:  Table [dbo].[Usuario]    Script Date: 05/21/2011 17:56:41 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Usuario](
	[IDUsuario] [int] IDENTITY(1,1) NOT NULL,
	[Nombre] [varchar](200) NOT NULL,
	[NickName] [varchar](100) NOT NULL,
	[Password] [varchar](100) NOT NULL,
	[Direccion] [varchar](200) NOT NULL,
	[Poblacion] [varchar](200) NOT NULL,
	[CodigoPostal] [varchar](10) NOT NULL,
	[Provincia] [varchar](100) NOT NULL,
	[Pais] [varchar](100) NOT NULL,
	[Email] [varchar](100) NOT NULL,
	[TelefonoMovil] [varchar](10) NOT NULL,
	[TarjetaCredito] [varchar](50) NOT NULL,
	[CaducidadTarjetaCredito] [varchar](10) NOT NULL,
	[FechaIngreso] [datetime] NOT NULL,
 CONSTRAINT [PK_Usuario] PRIMARY KEY CLUSTERED 
(
	[IDUsuario] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Usuario] UNIQUE NONCLUSTERED 
(
	[NickName] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


