using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using Service1;
using SubastasCli;

public partial class ValidarUsuario : System.Web.UI.Page
{
  Service1Client objWCF;
  TUsuario usuario;

  void Page_Load(object sender, EventArgs e)
  {

    if (!Page.IsPostBack)
    {

      usuario = (TUsuario)Session["Usuario"];
      objWCF = (Service1Client)Session["objWCF"];

      if (objWCF == null)
        objWCF = new Service1Client();


      if (usuario == null)
      {

        lblUsuario.Text = "";
        hblMisSubastas.Text = "Validar";
        hblMisSubastas.NavigateUrl = "ValidarUsuario.aspx";
      }


    }
    else
    {
      objWCF = (Service1Client)Session["objWCF"];
      usuario = (TUsuario)Session["Usuario"];
    }

  }

    protected void Page_UnLoad(object sender, EventArgs e)
    {
      Session["objWCF"] = objWCF;
      Session["Usuario"] = usuario;
    }


    protected void btnValidar_Click(object sender, EventArgs e)
    {
      // Web Service and SoapHeader
      //Service1..SecuredWebServiceSoapClient ws = new Service1.SecuredWebServiceSoapClient();
      //.SecuredWebServiceHeader h = new Service1.SecuredWebServiceHeader();

      //objWCF.AuthenticateUser(h);

      //wcf objWCF.SecuredWebServiceHeaderValue = new SecuredWebServiceHeader();
      //objWCF.Secur

      //wcf objWCF.SecuredWebServiceHeaderValue.Username = txtUsuario.Text;
      //wcf objWCF.SecuredWebServiceHeaderValue.Password = txtPassword.Text;
      string response = string.Empty;

     // h.Username = 
     // h.Password = txtUsuario.Text;
      //Console.WriteLine("Calling AuthenticateUser() with a valid username and password (" + h.Username + "/" + h.Password + ")..");
     // response = ws.AuthenticateUser(h);
     // Console.WriteLine(" > " + response);

     // Console.WriteLine("Calling HelloWorld() with returned token (" + response.Substring(0, 12) + "..)");    // no need to print the whole token returned

      usuario = objWCF.ValidarUsuario(txtUsuario.Text, txtPassword.Text);


      //
      if (usuario != null) // usuario validado
      {

        //wcf objWCF.SecuredWebServiceHeaderValue.AuthenticatedToken = usuario.Token;
        // h.AuthenticatedToken = response;
        //  h.Username = null;    

        // no need to send the username and password - we've got a token now
        //wcf objWCF.SecuredWebServiceHeaderValue.Username = null;
        //wcf objWCF.SecuredWebServiceHeaderValue.Password = null;

        Response.Redirect("Subastas.aspx");
      }
      else
        Label1.Text = "Usuario y Contrasea no validadas en el sistema.";

     // usuario = objWCF.Usuario(objWCF.SecuredWebServiceHeaderValue.AuthenticatedToken);
      
      // h.Password = null;
     // Console.WriteLine(" > " + ws.HelloWorld(h));

    }



    protected void btnCancelar_Click(object sender, EventArgs e)
    {
      Response.Redirect("Subastas.aspx");
    }


    protected void btnRegistrar_Click(object sender, EventArgs e)
    {
      Response.Redirect("RegistrarUsuario.aspx");
    }
}
