﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.ServiceModel;
using System.ServiceProcess;
using System.Configuration;
using System.Configuration.Install;
using WcfServiceLibrary2;

namespace Microsoft.ServiceModel.Samples
{
 /* class Service
  {
    static void Main(string[] args)
    {
    }
  }*/

  public class SubastasWindowsService : ServiceBase
  {
    public ServiceHost serviceHost = null;
    public SubastasWindowsService()
    {
      // Servicio de Subastas
      ServiceName = "WCFSubastasServicio";
    }

    public static void Main()
    {
      ServiceBase.Run(new SubastasWindowsService());
    }

    protected override void OnStart(string[] args)
    {
      if (serviceHost != null)
      {
        serviceHost.Close();
      }

      
      serviceHost = new ServiceHost(typeof(Service1));

      // abrir
      serviceHost.Open();
    }

    protected override void OnStop()
    {
      if (serviceHost != null)
      {
        serviceHost.Close();
        serviceHost = null;
      }
    }



  }


  [RunInstaller(true)]
  public class ProjectInstaller : Installer
  {
    private ServiceProcessInstaller process;
    private ServiceInstaller service;

    public ProjectInstaller()
    {
      process = new ServiceProcessInstaller();
      process.Account = ServiceAccount.LocalSystem;
      service = new ServiceInstaller();
      service.ServiceName = "WCFSubastasServicio";
      Installers.Add(process);
      Installers.Add(service);
    }
  }




}
